Subject: Re: [dnsext] DNS RR (RFC 4701) impacts from draft-arkko-arp-iana-rules

From: Alfred Hönes <[email-masked]>
Date: Tue, 2 Dec 2008 20:17:39 +0100 (MEZ)

At Mon, 01 Dec 2008 23:31:38 +0200 , Jari Arkko wrote:

> Folks,
>
> I recently wrote a draft about the IANA rules regarding ARP, as no
> such rules were defined before.
>
> During last call, it became apparent that there are a few other
> protocols that use the same numbers. For instance, specialized
> forms of ARP for certain link layers or DHCPv4/6. Having realized
> this, we did a more thorough search of the RFC series to attempt
> to find all such uses. The new version of my draft lists all these
> uses and updates the RFCs in question.
>
> I would like to ask for your review to make sure
> (a) that the ARP rule change is OK from the perspective of your
>     protocol and
> (b) we have found all uses of the ARP numbers.
>
> Here's what the draft says:
>
> "...
>                                         [...]. These protocols are
> therefore affected by the update in the IANA rules.  Other affected
> specifications include ...
> ...
>                                                  , and DNS Resource
> Records [RFC4701]."

As one of the culprits for the broadening of scope for
draft-arkko-arp-iana-rules , I want to take up this thread.

RFC 4701 essentially builds a framework for storing and
validating 'semaphores' in the very same database commonly
being dynamically updated by DHCP clients and servers, the DNS.

As such, RFC 4701 transparently deals with the DHC information
used to establish these semaphores, it is not interested in
the semantics (for other protocols) of these items which it
simply (re-)uses to uniquely identify a DHCP client.

IMO, listing RFC 4701 as a Normative Reference and even in the
metadata as being "Updated" is a bit of overstressing.

draft-arkko-arp-iana-rules-05 does not indicate which parts
of RFC 4701 it updates, and the only section there that might
be affected, section 3.5.3, only refers to the DHCP fields
as the containers of information to be concatenated and hashed;
it does not impose any semantics to these fields, and thus
obviously is not affected by the registration policy for the
values in some of these fields.

The only property assumed in RFC 4701 is that the
{'htype','chaddr'} tuple indeed can be used as a unique
identifier for the DHCP client -- at least within the scope
of a specific DHCP deployment.
But that should be granted anyway, for DHCP's use.

Noting that RFC 4701 is indirectly affected by the ARP-IANA
draft seems reasonable, but listing RFC 4701 as a Normative
Reference and calling for "Updating" it doesn't seem to be
necessary or even useful.

However, should you decide to leave the ref. to RFC 4701 in
your draft, I suggest to make the citation in the text more
specific, replacing ...

          ...,  and DNS Resource Records [RFC4701].
by:
          ...,  and the DNS DHCID Resource Record [RFC4701].

Kind regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Jari Arkko <[email-masked]>
Date: Tue, 02 Dec 2008 23:21:13 +0200

Alfred,

> metadata as being "Updated" is a bit of overstressing.

Perhaps. I struggled with the question of what to do for these cases. 
But for the record, here's the rationale that I used. I wanted to make 
sure that whoever used protocol X would easily find what the IANA rules 
are for that protocol. The updates relationship helps at least me in 
searching such things.

Also, if we had a standalone protocol RFC that had originally been 
published without IANA rules, when a new RFC defines these rules I would 
probably use the update relationship to note this.

However, I do not want to claim that this is the only possible way of 
doing it -- simply noting that the protocols are affected and listing 
the references in the informative references section would also be fine. 
I also note that IETF's practices for IANA guideline documents have been 
varied: some have become PS RFCs, some BCPs, sometimes there is an 
Update and sometimes there isn't.

There are also differences between the RFCs that my draft updates. For 
instance, the RFC 4701 speaks about values defined by DHCP and refers to 
RFC 2131, so you could argue that the necessary reference is already in 
place. RFC 2131 on the other hand does not even refer to RFC 826 and 
speaks only of the "ARP section in the Assigned Numbers RFC".

>           ...,  and the DNS DHCID Resource Record [RFC4701].
Noted.

Jari